#include <bits/stdc++.h>
using namespace std;

long long stepen(int x){
    long long c=1;
    while(x>0){
        c=c*10;
        x--;
    }
    return c;
}

int main()
{
    long long v;
    cin>>v;
    int k=19;
    int d[3]={1,2,5};
    long long vred[60];
    int br=0,x=0;
    for(int j=0;j<=k;j++){
        for(int i=0;i<3;i++){
            vred[x]=d[i]*stepen(j);
            x++;
        }
    }
    for(int i=59;i>=0;i--){
        if(v/vred[i]!=0){
            br=br+v/vred[i];
            v=v%vred[i];
        }
        if(v==1)
            break;
    }
    if(v!=0)
        br++;
    cout<<br;
}